#include <iostream>

using namespace std;

int main()
{
    long long n,l,t,min,a[100000];
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<n-1;i++)
    {
        min=a[i];
        l=i;
        for(int j=i+1;j<n;j++)
        {
            if(min>a[j])
            {
                min=a[j];
                l=j;
            }
        }

        t=a[i];
        a[i]=a[l];
        a[l]=t;
    }

    for(int i=0;i<n;i++)
    {
        cout<<a[i]<<" ";
    }

    return 0;
}